<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="CompilerConfiguration">
    <annotationProcessing>
      <profile default="true" name="Default" enabled="true" />
      <profile name="Maven default annotation processors profile" enabled="true">
        <sourceOutputDir name="target/generated-sources/annotations" />
        <sourceTestOutputDir name="target/generated-test-sources/test-annotations" />
        <outputRelativeToContentRoot value="true" />
        <module name="entity" />
        <module name="common" />
        <module name="producer" />
        <module name="repository" />
        <module name="consumer" />
      </profile>
    </annotationProcessing>
    <bytecodeTargetLevel>
      <module name="common" target="11" />
      <module name="consumer" target="11" />
      <module name="entity" target="11" />
      <module name="producer" target="11" />
      <module name="repository" target="11" />
      <module name="sc-order-modules" target="11" />
    </bytecodeTargetLevel>
  </component>
  <component name="JavacSettings">
    <option name="ADDITIONAL_OPTIONS_OVERRIDE">
      <module name="common" options="-parameters" />
      <module name="consumer" options="-parameters" />
      <module name="entity" options="-parameters" />
      <module name="producer" options="-parameters" />
      <module name="repository" options="-parameters" />
      <module name="sc-order-modules" options="-parameters" />
    </option>
  </component>
</project>